Last Comment Bug 516970 - Attachment toolbar borders need a bit more styling on Windows
: Attachment toolbar borders need a bit more styling on Windows
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-16 07:51 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-01-31 10:30 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
screenshot (13.71 KB, image/png)
2009-09-16 07:51 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details
Border fixes (2.13 KB, patch)
2011-12-31 09:13 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
Screenshot with patch applied under Aero (3.36 KB, image/png)
2011-12-31 09:14 PST, Richard Marti (:Paenglab)
no flags Details
Screenshot with patch applied under Linux (10.29 KB, image/png)
2011-12-31 09:24 PST, Richard Marti (:Paenglab)
no flags Details
Patch for check-in addressing comment (2.13 KB, patch)
2012-01-10 13:59 PST, Richard Marti (:Paenglab)
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Screenshot with patch applied under XP (2.92 KB, image/png)
2012-01-10 14:00 PST, Richard Marti (:Paenglab)
no flags Details

Description Siddharth Agarwal [:sid0] (inactive) 2009-09-16 07:51:25 PDT
Created attachment 401018 [details]
screenshot

The blocky borders don't exactly look nice :(
Comment 1 Blake Winton (:bwinton) (:☕️) 2011-12-28 10:52:37 PST
(Assigning to Paenglab, in the hopes that he has a little time to fix it up, if it still needs fixing…)
Comment 2 Richard Marti (:Paenglab) 2011-12-31 09:13:18 PST
Created attachment 585150 [details] [diff] [review]
Border fixes

This patch gives other or no borders to the attachment reminder.

I fixed also the XP- and Linux theme. The Mac theme looks okay to me. It has already some styling.
Comment 3 Richard Marti (:Paenglab) 2011-12-31 09:14:47 PST
Created attachment 585151 [details]
Screenshot with patch applied under Aero
Comment 4 Richard Marti (:Paenglab) 2011-12-31 09:24:55 PST
Created attachment 585152 [details]
Screenshot with patch applied under Linux

Under Ubuntu it looks a little bit weird because for the color InfoBackground this dark color is used. I gave the borders ThreeDShadow to look better under other themes.
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-01-10 13:04:45 PST
Comment on attachment 585150 [details] [diff] [review]
Border fixes

The screenshots look nice.  ui-r=me.

>+++ b/mail/themes/qute/mail/compose/messengercompose-aero.css
>@@ -340,6 +340,14 @@
>+  #msgcomposeWindow[sizemode=normal] #attachmentNotificationBox {
>+    margin-top: -1px;
>+	border-right: 1px solid rgba(10%, 10%, 10%, .4);

Looks like you used a tab here instead of four spaces

>@@ -418,6 +426,11 @@
>+#attachmentNotificationBox > notification > .notification-inner {
>+  border: none;
>+  border-top: 1px solid ThreeDShadow;
>+}
>+

>+++ b/mail/themes/qute/mail/compose/messengercompose.css
>@@ -343,6 +343,13 @@
>+#attachmentNotificationBox > notification > .notification-inner {
>+  border-top: 1px solid ThreeDShadow;
>+  border-right: 1px solid ThreeDHighlight;
>+  border-left: 1px solid ThreeDShadow;
>+  border-bottom: none;
>+}

Why does qute get borders on the left and right, but qute-aero doesnt?

r=me with that answered, and the tab fixed.

Thanks,
Blake.
Comment 6 Richard Marti (:Paenglab) 2012-01-10 13:59:53 PST
Created attachment 587462 [details] [diff] [review]
Patch for check-in addressing comment

(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #5)
> Comment on attachment 585150 [details] [diff] [review]
> 
> Looks like you used a tab here instead of four spaces

Fixed

> Why does qute get borders on the left and right, but qute-aero doesnt?

This is to match the borders of #appcontent. I add a screenshot under XP.
Comment 7 Richard Marti (:Paenglab) 2012-01-10 14:00:38 PST
Created attachment 587463 [details]
Screenshot with patch applied under XP
Comment 8 Mark Banner (:standard8) 2012-01-17 06:50:46 PST
Checked into trunk: http://hg.mozilla.org/comm-central/rev/a4aede33b0d4

Please request approval for branches if its needed there.
Comment 9 Richard Marti (:Paenglab) 2012-01-17 09:54:34 PST
Comment on attachment 587462 [details] [diff] [review]
Patch for check-in addressing comment

You're right, this could be good if this lands on the ESR build. I checked and the patch works also on beta.
Comment 10 Mark Banner (:standard8) 2012-01-23 11:03:35 PST
Comment on attachment 587462 [details] [diff] [review]
Patch for check-in addressing comment

Not going to take this for beta as its late and just cosmetic, but we'll have it on aurora.
Comment 11 Mike Conley (:mconley) - (Needinfo me!) 2012-01-31 10:30:55 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/6265ae02ba19

Note You need to log in before you can comment on or make changes to this bug.